# vue-form-making

[简体中文](./README.zh-CN.md) | English

## Intro

The FormMaking developed base on [vue](https://github.com/vuejs/vue) and [element-ui](https://github.com/ElemeFE/element), equipts with the latest front-end technology stack, built-in i18n internationalization solution, all of those are aimed at making developmemt simpler, and more efficiently.

- [Preview](http://form.xiaoyaoji.cn/basic-version)

- [Document](http://docs.form.xiaoyaoji.cn)

- [Advanced](http://form.xiaoyaoji.cn) Privade more components and APIs

## Feature

* Visual configuration page
* Provide grid layout and align with flex
* One-click preview of configuration effects
* One-click generation of configuration json data
* One-click generate code, ready to run
* Provide custom components to meet user's custom requirements
* Provides a remote data interface for users to asynchronously fetch data
* Provides powerful advanced components
* Support for form validation
* Get form data quickly
* Internationalization support

## Module

- [MakingForm](http://docs.form.xiaoyaoji.cn/zh/guide/making-form.html) (Quickly design the form page based on the visual operation and obtain the form configuration json data).

- [GenerateForm](http://docs.form.xiaoyaoji.cn/zh/guide/generate-form.html) (The generator will render a form page quickly base on the configuration json data captured in the designer).

## Issue

* If you find a new bug or have a new feature request, please create a new issue.


## Donation  

If you do like ours open source, would you mind to buy us a cup of coffee :) lol ☺

![](http://docs.form.xiaoyaoji.cn/donation.jpeg)

[PayPal Me](https://paypal.me/gavinzhulei)

## Browsers support

Modern browsers and Internet Explorer 10+.

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](https://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](https://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](https://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](https://godban.github.io/browsers-support-badges/)</br>Safari |
| --------- | --------- | --------- | --------- |
| IE10, IE11, Edge| last 2 versions| last 2 versions| last 2 versions

## Licenses

[LGPL](https://opensource.org/licenses/LGPL-3.0)

You can use the vue-form-making source code in an open source project under the LGPL license and retain the copyright information.

If you want to use vue-form-making source code in non-open source sites, projects and applications, you need to purchase [Commercial License](http://form.xiaoyaoji.cn/pricing).